Skip to main content

List the API tokens of an account.

GET 

/v1/api-tokens

Returns the API tokens of the account that owns the API token in the request, or of one of its sub accounts. To list the API tokens of a sub account, pass its ID in the accountId query parameter.

The response does not include the token values.

Must be run with an API token that has the Admin role. API tokens created before token roles were introduced have the same permissions as Admin.

Please ensure to change the region in the URL to match your account's region.

Request​

Query Parameters

    accountId int32

    The ID of the account whose API tokens to list. It must be the account that owns the API token in the request or one of its sub accounts. Defaults to the account that owns the API token in the request.

Responses​

successful operation. The token values are not returned.

Schema
  • Array [
  • id int32

    ID of the API token. Use it to delete the token.

    name string

    The name of the API token

    createdAt number

    The time at which the API token was created, in epoch seconds

    lastUsed number

    The time at which the API token was last used, in epoch seconds, or null if it was never used

    role string

    Possible values: [ADMIN, REGULAR, READ_ONLY, CUSTOM]

    The role of the API token. REGULAR is shown as User in the app.

  • ]
Loading...